[ubuntu/jammy-security] openssh 1:8.9p1-3ubuntu0.5 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Tue Dec 19 12:51:59 UTC 2023


openssh (1:8.9p1-3ubuntu0.5) jammy-security; urgency=medium

  * SECURITY UPDATE: Prefix truncation attack on BPP
    - debian/patches/CVE-2023-48795.patch: implement "strict key exchange"
      in PROTOCOL, kex.c, kex.h, packet.c, sshconnect2.c, sshd.c.
    - CVE-2023-48795
  * SECURITY UPDATE: smartcard constraints not added to agent
    - debian/patches/CVE-2023-28531.patch: include destination constraints
      for smartcard keys too in authfd.c.
    - CVE-2023-28531

openssh (1:8.9p1-3ubuntu0.4) jammy; urgency=medium

  * d/p/fix-authorized-principals-command.patch: Fix the situation where
    sshd ignores AuthorizedPrincipalsCommand if AuthorizedKeysCommand
    is also set by checking if the value pointed to by the pointer
    'charptr' is NULL. (LP: #2031942)

Date: 2023-12-18 16:56:19.095092+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/openssh/1:8.9p1-3ubuntu0.5
-------------- next part --------------
Sorry, changesfile not available.


More information about the jammy-changes mailing list